Namespace
library
Image / Tag
nextcloud:beta-fpm
Content Digest
sha256:d00f0cda0c2a84124b5115fe5c2e4d1f3d66983d5d46e11ab2eda9965d54b7da
Details
Created

2018-11-22 12:10:19 UTC

Size

189 MB

Content Digest
Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

NEXTCLOUD_VERSION

15.0.0beta2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.2.12.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

989c04cc879ee71a5e1131db867f3c5102f1f7565f805e2bb8bde33f93147fe1

PHP_URL

https://secure.php.net/get/php-7.2.12.tar.xz/from/this/mirror

PHP_VERSION

7.2.12


Layers

[#000] sha256:137021d63f76f1d8c7a7bcdd4c59e1a909b9d440414a2623b215f830920128e4 - 11.68% (22.1 MB)

[#001] sha256:a4aebce9236da836da0da39112d9cf2d2c9ff837127af39bf38ee80f7fbceee9 - 0.0% (228 Bytes)

[#002] sha256:a4a806383cab0029a02e0165ccafdd761706ba5a4b24639db005626c764a3fab - 36.1% (68.2 MB)

[#003] sha256:47aac9c096cb4eec16074c6101d1461b4078b88562471628eda20bc601ca139e - 0.0% (183 Bytes)

[#004] sha256:809ab0ec79904596446880f744fea0746f42e636dd14a8b802d6481bd9fb210a - 6.3% (11.9 MB)

[#005] sha256:4b71c2eb657c232703192e3bc3996c4e601bbaeb5fa5dd70287aa404c7f109a4 - 0.0% (500 Bytes)

[#006] sha256:3ed22b86d1471e581254741287554edac76c2d1720218a277b68637c18cb6507 - 14.81% (28 MB)

[#007] sha256:563af504ccfa17774d60caf9296b792ac00dfbf1a61cb58a62de2c8aaf7379ed - 0.0% (2.14 KB)

[#008] sha256:7a5d7d29e41ac17fa198d1d95ddfb0a4622aa010749c904a07b52ad6d2a9b4a4 - 0.0% (260 Bytes)

[#009] sha256:8d3e8c23db91128be61c9f23ce831fb790e00a686b081e64e70b4996034085e5 - 0.0% (130 Bytes)

[#010] sha256:683f38b97d71b71e15f69b6a65f0c45635445a10883d3d87a29ec95443713a31 - 0.0% (7.62 KB)

[#011] sha256:328d7c51fb6204cf91bc21d5cd706cf4185366500f53aa15199282c4384bff00 - 0.8% (1.52 MB)

[#012] sha256:2ffc3929030e3cb702ff1e2d69911bb5e702848970bbd34c0eb293806ff8c5e1 - 2.07% (3.91 MB)

[#013] sha256:539d09e92ed7b2cc2d3564e460b3adb356e3b96492dd63b2bd23eb3a5867371a - 0.0% (518 Bytes)

[#014] sha256:f76199b6fb39cf429f37cb68880f3075262dfa26f40c4affe44048d2893338a8 - 28.24% (53.3 MB)

[#015] sha256:702121fc0f52f16063b0215e384b9fb33408e7972d849f06fbc1ae337d258445 - 0.0% (1.86 KB)

[#016] sha256:2ea6499fc0f16888e647213ef0cb4d54d3bee62518eba2db09a679e3f3200261 - 0.0% (737 Bytes)


History
2018-11-16 12:37:07 UTC

/bin/sh -c #(nop) ADD file:e79bc0c504d8730048ef2ccae209fa270a0e3785a4029777112a397261336279 in /

2018-11-16 12:37:08 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-11-16 18:15:50 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-11-16 18:15:51 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-11-16 18:16:49 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-11-16 18:16:49 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-11-16 18:16:50 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-11-16 18:36:28 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-11-16 18:36:29 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-11-16 18:36:29 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-11-16 18:36:29 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-11-16 19:42:15 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

2018-11-16 19:42:15 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.2.12

2018-11-16 19:42:16 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.12.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.12.tar.xz.asc/from/this/mirror

2018-11-16 19:42:16 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=989c04cc879ee71a5e1131db867f3c5102f1f7565f805e2bb8bde33f93147fe1 PHP_MD5=

2018-11-16 19:42:27 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-11-16 19:42:27 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-11-16 19:51:20 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-11-16 19:51:21 UTC

/bin/sh -c #(nop) COPY multi:2f2285f9c7c2f530675964f31be8902a60efa3a3d796ee46d73916fab59fdd38 in /usr/local/bin/

2018-11-16 19:51:22 UTC

/bin/sh -c docker-php-ext-enable sodium

2018-11-16 19:51:22 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-11-16 19:51:22 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-11-16 19:51:23 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-11-16 19:51:23 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-11-16 19:51:24 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-11-17 22:20:55 UTC

/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends rsync bzip2 busybox-static ; rm -rf /var/lib/apt/lists/*; mkdir -p /var/spool/cron/crontabs; echo '*/15 * * * * php -f /var/www/html/cron.php' > /var/spool/cron/crontabs/www-data

2018-11-22 12:00:28 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libfreetype6-dev libicu-dev libjpeg-dev libldap2-dev libmcrypt-dev libmemcached-dev libpng-dev libpq-dev libxml2-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install exif gd intl ldap opcache pcntl pdo_mysql pdo_pgsql zip ; pecl install APCu-5.1.13; pecl install memcached-3.0.4; pecl install redis-4.2.0; docker-php-ext-enable apcu memcached redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-11-22 12:00:29 UTC

/bin/sh -c { echo 'opcache.enable=1'; echo 'opcache.enable_cli=1'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=10000'; echo 'opcache.memory_consumption=128'; echo 'opcache.save_comments=1'; echo 'opcache.revalidate_freq=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini; echo 'apc.enable_cli=1' >> /usr/local/etc/php/conf.d/docker-php-ext-apcu.ini; echo 'memory_limit=512M' > /usr/local/etc/php/conf.d/memory-limit.ini; mkdir /var/www/data; chown -R www-data:root /var/www; chmod -R g=u /var/www

2018-11-22 12:00:29 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-11-22 12:09:47 UTC

/bin/sh -c #(nop) ENV NEXTCLOUD_VERSION=15.0.0beta2

2018-11-22 12:10:17 UTC

/bin/sh -c set -ex; fetchDeps=" gnupg dirmngr "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2"; curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 28806A878AE423A28372792ED75899B9A724937A; gpg --batch --verify nextcloud.tar.bz2.asc nextcloud.tar.bz2; tar -xjf nextcloud.tar.bz2 -C /usr/src/; gpgconf --kill all; rm -r "$GNUPGHOME" nextcloud.tar.bz2.asc nextcloud.tar.bz2; rm -rf /usr/src/nextcloud/updater; mkdir -p /usr/src/nextcloud/data; mkdir -p /usr/src/nextcloud/custom_apps; chmod +x /usr/src/nextcloud/occ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-11-22 12:10:18 UTC

/bin/sh -c #(nop) COPY multi:81a604c4dab97e68e347c33e116ec4b72cbaeaa1a1c71fb9375c9cc9ec06291c in /

2018-11-22 12:10:19 UTC

/bin/sh -c #(nop) COPY multi:ca4d4da57eb7f9d9da17f5414c6686894b87a363e243105b8463618fd8dc681d in /usr/src/nextcloud/config/

2018-11-22 12:10:19 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-11-22 12:10:19 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-11-21 19:49:28 UTC

Size

184 MB

Content Digest
Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

NEXTCLOUD_VERSION

15.0.0beta2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.2.12.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

989c04cc879ee71a5e1131db867f3c5102f1f7565f805e2bb8bde33f93147fe1

PHP_URL

https://secure.php.net/get/php-7.2.12.tar.xz/from/this/mirror

PHP_VERSION

7.2.12


Layers

[#000] sha256:a5a6f2f73cd8abbdc55d0df0d8834f7262713e87d6c8800ea3851f103025e0f0 - 11.67% (21.4 MB)

[#001] sha256:633e0d1cd2a336ecc3124ec0b06e1039049f1716554038b9dfc8c3529f6fd988 - 0.0% (226 Bytes)

[#002] sha256:fcdfdf7118ba156cb7115b991210623e82c6ad0f57aa55e38790f2bd734c50fa - 34.99% (64.3 MB)

[#003] sha256:4e7dc76b176992c0aa2fd3f3bc438ac6be98897e6025b68e8652b24b132ec952 - 0.0% (183 Bytes)

[#004] sha256:64114f4b77d1da4be0ea9d1809c8bd38cf76e72df6bc50ceeb20e122b1ad2b01 - 6.47% (11.9 MB)

[#005] sha256:8808058334c4160e0aa6e65c81ac4338aec5a008b5f7f51ed25596304ace6de3 - 0.0% (500 Bytes)

[#006] sha256:b3b49838530276e8706d1e76cb5416cf4f62f82b8d4031df34a88225f65a5970 - 14.89% (27.4 MB)

[#007] sha256:42083dd7d95bce8daca425e0c163727c33d43e60b576d2042d50358665d95bf0 - 0.0% (2.14 KB)

[#008] sha256:f7d76dec7f98e6246dce55bd13a3cda2b3885db5474717bc33b0ed7c2b28b097 - 0.0% (257 Bytes)

[#009] sha256:0160ecfb865ae801d2b27f00196896bf7e59ab732623301bc494e603ee335db7 - 0.0% (130 Bytes)

[#010] sha256:6372b5a2a037ad676de502a35d0d3ad24cf2cf03c8685706448a83bfe0f3a03f - 0.0% (7.62 KB)

[#011] sha256:8ae6a59437772100789e43e4520a8ea9c7eb12ff613548b2f10ba7ad42a4570a - 0.82% (1.52 MB)

[#012] sha256:0b871081051f60193877414bf9369e0cfaaaff63619673b7c10c93c2001bd7d4 - 2.13% (3.92 MB)

[#013] sha256:05e6332cbde406edad33970dcc906012e564722821aeb9c79fc41aecab58a7e5 - 0.0% (512 Bytes)

[#014] sha256:0971a53363810c3c84ba9080c73e6a46e538d99b331da19cf060e9be9e5dd64d - 29.02% (53.3 MB)

[#015] sha256:d7fef44c2feaa32746b6aa7b9786e256f9d749117cbcd67f0f7e9e5da7fa6afd - 0.0% (1.86 KB)

[#016] sha256:38f7347510195469e6671697b9c22c8d2d22f86c5df658cf0be5e22f49d68b8d - 0.0% (737 Bytes)


History
2018-11-15 22:45:06 UTC

/bin/sh -c #(nop) ADD file:dab9baf938799c515ddce14c02f899da5992f0b76a432fa10a2338556a3cb04f in /

2018-11-15 22:45:07 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-11-16 01:53:50 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-11-16 01:53:50 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-11-16 01:54:30 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-11-16 01:54:31 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-11-16 01:54:32 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-11-16 02:14:41 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-11-16 02:14:41 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-11-16 02:14:42 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-11-16 02:14:42 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-11-16 03:26:14 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

2018-11-16 03:26:14 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.2.12

2018-11-16 03:26:15 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.12.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.12.tar.xz.asc/from/this/mirror

2018-11-16 03:26:15 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=989c04cc879ee71a5e1131db867f3c5102f1f7565f805e2bb8bde33f93147fe1 PHP_MD5=

2018-11-16 03:26:28 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-11-16 03:26:29 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-11-16 03:36:23 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-11-16 03:36:24 UTC

/bin/sh -c #(nop) COPY multi:2f2285f9c7c2f530675964f31be8902a60efa3a3d796ee46d73916fab59fdd38 in /usr/local/bin/

2018-11-16 03:36:25 UTC

/bin/sh -c docker-php-ext-enable sodium

2018-11-16 03:36:25 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-11-16 03:36:25 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-11-16 03:36:26 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-11-16 03:36:26 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-11-16 03:36:26 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-11-16 20:42:05 UTC

/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends rsync bzip2 busybox-static ; rm -rf /var/lib/apt/lists/*; mkdir -p /var/spool/cron/crontabs; echo '*/15 * * * * php -f /var/www/html/cron.php' > /var/spool/cron/crontabs/www-data

2018-11-21 19:39:43 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libfreetype6-dev libicu-dev libjpeg-dev libldap2-dev libmcrypt-dev libmemcached-dev libpng-dev libpq-dev libxml2-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install exif gd intl ldap opcache pcntl pdo_mysql pdo_pgsql zip ; pecl install APCu-5.1.13; pecl install memcached-3.0.4; pecl install redis-4.2.0; docker-php-ext-enable apcu memcached redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-11-21 19:39:44 UTC

/bin/sh -c { echo 'opcache.enable=1'; echo 'opcache.enable_cli=1'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=10000'; echo 'opcache.memory_consumption=128'; echo 'opcache.save_comments=1'; echo 'opcache.revalidate_freq=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini; echo 'apc.enable_cli=1' >> /usr/local/etc/php/conf.d/docker-php-ext-apcu.ini; echo 'memory_limit=512M' > /usr/local/etc/php/conf.d/memory-limit.ini; mkdir /var/www/data; chown -R www-data:root /var/www; chmod -R g=u /var/www

2018-11-21 19:39:44 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-11-21 19:49:01 UTC

/bin/sh -c #(nop) ENV NEXTCLOUD_VERSION=15.0.0beta2

2018-11-21 19:49:26 UTC

/bin/sh -c set -ex; fetchDeps=" gnupg dirmngr "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2"; curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 28806A878AE423A28372792ED75899B9A724937A; gpg --batch --verify nextcloud.tar.bz2.asc nextcloud.tar.bz2; tar -xjf nextcloud.tar.bz2 -C /usr/src/; gpgconf --kill all; rm -r "$GNUPGHOME" nextcloud.tar.bz2.asc nextcloud.tar.bz2; rm -rf /usr/src/nextcloud/updater; mkdir -p /usr/src/nextcloud/data; mkdir -p /usr/src/nextcloud/custom_apps; chmod +x /usr/src/nextcloud/occ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-11-21 19:49:27 UTC

/bin/sh -c #(nop) COPY multi:81a604c4dab97e68e347c33e116ec4b72cbaeaa1a1c71fb9375c9cc9ec06291c in /

2018-11-21 19:49:28 UTC

/bin/sh -c #(nop) COPY multi:ca4d4da57eb7f9d9da17f5414c6686894b87a363e243105b8463618fd8dc681d in /usr/src/nextcloud/config/

2018-11-21 19:49:28 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-11-21 19:49:28 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-11-22 10:27:58 UTC

Size

172 MB

Content Digest
Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

NEXTCLOUD_VERSION

15.0.0beta2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.2.12.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

989c04cc879ee71a5e1131db867f3c5102f1f7565f805e2bb8bde33f93147fe1

PHP_URL

https://secure.php.net/get/php-7.2.12.tar.xz/from/this/mirror

PHP_VERSION

7.2.12


Layers

[#000] sha256:409ea78f2caa9a970b3fae4f7a23caf60fe64dd022e2b3841944e6d82da81c03 - 11.76% (20.2 MB)

[#001] sha256:36be7f24ef8249a63caa2e9cf2d4a5240da49447f8f4b1022e6deaabc04ade65 - 0.0% (227 Bytes)

[#002] sha256:63dd69dcf2218b5d34ed001407e1b7b7762ae29fc1cbb5cdff51c4dc98f446dc - 31.92% (54.8 MB)

[#003] sha256:30fbb3322a97ab486d1416315f7bc8a4a229380e180bfaa7e7debcf05ba88012 - 0.0% (212 Bytes)

[#004] sha256:56b412f61b575886d65921861ea31a3a6b1a5003d6a1f414a2562d7fe7785fdc - 6.93% (11.9 MB)

[#005] sha256:966b01eff08600a15bff50a16fb8e278ac41bf12851f9c40683c144af99566ef - 0.0% (502 Bytes)

[#006] sha256:5d4660c1a5fcdc85b8411a72fe8c11ba79f9cc1d0ca6cb1cd12f6e34ed4d5a04 - 15.27% (26.2 MB)

[#007] sha256:92c2e1da66cdfcf38a3eb47b5bf4bba19864928dae4ef5f52812076df4c143c0 - 0.0% (2.14 KB)

[#008] sha256:ab0607d8ea89fdd2ceb9fe37519fd0ae11c0d40e18ed5ebfe14455859dc23c96 - 0.0% (260 Bytes)

[#009] sha256:3fff6446830b93ca0ae4a56a47f770d848041d1cf9c7e68d9897b76cc742940a - 0.0% (160 Bytes)

[#010] sha256:033d3dcef695da0199e855ffd51036dc4ee4a1ecda9f9d6b3d4388ccbecc3ad0 - 0.0% (7.62 KB)

[#011] sha256:efc1d257961ae6a4e297201e415be4753f48f9384600a542e45562f4b67dba68 - 0.87% (1.49 MB)

[#012] sha256:8eec3aee942a20bce011efe474d88c5585c92e06119b7127acff3e50c7a9e6f7 - 2.19% (3.76 MB)

[#013] sha256:a26a2ace7b93ffc1fac7bfe4d03b4d201220ec55a18a7b245b2746a7388a6c24 - 0.0% (546 Bytes)

[#014] sha256:f23ae5469f72ee865d478310b55ad7b70a9e86a715f013f2f206781de919c808 - 31.07% (53.3 MB)

[#015] sha256:731b0ba72866eb3fc8ee19650222b97e3a5c8faa76228eef9f26d6b70660dadf - 0.0% (1.87 KB)

[#016] sha256:9b39d747fcd064bb67968f20881373c54fb3dd8ae0424ba01cd7820bb4ad7da9 - 0.0% (737 Bytes)


History
2018-11-16 09:58:31 UTC

/bin/sh -c #(nop) ADD file:571b664b51137693f1c3889a3ace44345b13edf68179c54841bcf69428925fb3 in /

2018-11-16 09:58:32 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-11-16 11:28:49 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-11-16 11:28:49 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-11-16 11:29:36 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-11-16 11:29:38 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-11-16 11:29:39 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-11-16 11:38:58 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-11-16 11:38:59 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-11-16 11:38:59 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-11-16 11:38:59 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-11-16 11:56:47 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

2018-11-16 11:56:47 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.2.12

2018-11-16 11:56:48 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.12.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.12.tar.xz.asc/from/this/mirror

2018-11-16 11:56:48 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=989c04cc879ee71a5e1131db867f3c5102f1f7565f805e2bb8bde33f93147fe1 PHP_MD5=

2018-11-16 11:57:05 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-11-16 11:57:05 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-11-16 12:01:02 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-11-16 12:01:04 UTC

/bin/sh -c #(nop) COPY multi:2f2285f9c7c2f530675964f31be8902a60efa3a3d796ee46d73916fab59fdd38 in /usr/local/bin/

2018-11-16 12:01:06 UTC

/bin/sh -c docker-php-ext-enable sodium

2018-11-16 12:01:06 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-11-16 12:01:07 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-11-16 12:01:08 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-11-16 12:01:08 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-11-16 12:01:08 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-11-16 21:05:51 UTC

/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends rsync bzip2 busybox-static ; rm -rf /var/lib/apt/lists/*; mkdir -p /var/spool/cron/crontabs; echo '*/15 * * * * php -f /var/www/html/cron.php' > /var/spool/cron/crontabs/www-data

2018-11-22 10:15:10 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libfreetype6-dev libicu-dev libjpeg-dev libldap2-dev libmcrypt-dev libmemcached-dev libpng-dev libpq-dev libxml2-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install exif gd intl ldap opcache pcntl pdo_mysql pdo_pgsql zip ; pecl install APCu-5.1.13; pecl install memcached-3.0.4; pecl install redis-4.2.0; docker-php-ext-enable apcu memcached redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-11-22 10:15:11 UTC

/bin/sh -c { echo 'opcache.enable=1'; echo 'opcache.enable_cli=1'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=10000'; echo 'opcache.memory_consumption=128'; echo 'opcache.save_comments=1'; echo 'opcache.revalidate_freq=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini; echo 'apc.enable_cli=1' >> /usr/local/etc/php/conf.d/docker-php-ext-apcu.ini; echo 'memory_limit=512M' > /usr/local/etc/php/conf.d/memory-limit.ini; mkdir /var/www/data; chown -R www-data:root /var/www; chmod -R g=u /var/www

2018-11-22 10:15:12 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-11-22 10:26:45 UTC

/bin/sh -c #(nop) ENV NEXTCLOUD_VERSION=15.0.0beta2

2018-11-22 10:27:54 UTC

/bin/sh -c set -ex; fetchDeps=" gnupg dirmngr "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2"; curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 28806A878AE423A28372792ED75899B9A724937A; gpg --batch --verify nextcloud.tar.bz2.asc nextcloud.tar.bz2; tar -xjf nextcloud.tar.bz2 -C /usr/src/; gpgconf --kill all; rm -r "$GNUPGHOME" nextcloud.tar.bz2.asc nextcloud.tar.bz2; rm -rf /usr/src/nextcloud/updater; mkdir -p /usr/src/nextcloud/data; mkdir -p /usr/src/nextcloud/custom_apps; chmod +x /usr/src/nextcloud/occ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-11-22 10:27:56 UTC

/bin/sh -c #(nop) COPY multi:81a604c4dab97e68e347c33e116ec4b72cbaeaa1a1c71fb9375c9cc9ec06291c in /

2018-11-22 10:27:57 UTC

/bin/sh -c #(nop) COPY multi:ca4d4da57eb7f9d9da17f5414c6686894b87a363e243105b8463618fd8dc681d in /usr/src/nextcloud/config/

2018-11-22 10:27:58 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-11-22 10:27:58 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-11-22 13:33:25 UTC

Size

165 MB

Content Digest
Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

NEXTCLOUD_VERSION

15.0.0beta2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.2.12.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

989c04cc879ee71a5e1131db867f3c5102f1f7565f805e2bb8bde33f93147fe1

PHP_URL

https://secure.php.net/get/php-7.2.12.tar.xz/from/this/mirror

PHP_VERSION

7.2.12


Layers

[#000] sha256:88950d48cb7db5e5f329d377a3f7f1260b31f4e0f2d7202fbfc08f7685b41580 - 11.15% (18.4 MB)

[#001] sha256:21355781a0f0ae4258b9daa067e907f606ea30be39b2232a07920da1b3bf8fec - 0.0% (227 Bytes)

[#002] sha256:dac5b67a930b7b63a87e2bc220495f2d0f4096ecfe1260237df5b3f716c165b9 - 30.99% (51.1 MB)

[#003] sha256:50bde8d59f01aab8d0c195f72026b4b79966994a188978b0bc3d450b17a9bb9b - 0.0% (212 Bytes)

[#004] sha256:46c358bd44d2f19adf87f30e3deca4ed71a12dc9cce7f38540a4c8e31f1c00fb - 7.21% (11.9 MB)

[#005] sha256:60a1bccb8a8e4cb3e0541b11ebe9d671f40974b5296c8d2b024ddb81932184b4 - 0.0% (500 Bytes)

[#006] sha256:e1329c54fea795fdad88d192faf2c5ddce96c59f90fc6d15d1f24843b0bec62a - 15.27% (25.2 MB)

[#007] sha256:7a55640028ba4d31719a64ad553192b5a517f597e83f8d18b37a782301d00dc0 - 0.0% (2.14 KB)

[#008] sha256:db9ce7720bea092061888654d1edbbbe51f584e7b210860541388edb2512e20b - 0.0% (259 Bytes)

[#009] sha256:42d3147f2143d480766ee3cd1fa3fe656dae0aa37973e94da362a22f13e8e770 - 0.0% (160 Bytes)

[#010] sha256:5060795741386a90da452ba5c2dcee973b4cdb98cfbec3a7e7eb39fff58300e8 - 0.0% (7.62 KB)

[#011] sha256:bb5765ac8c2f1aeb5b9017bbf0349073bece870488f6ca8e4a4cdbcc6fac3ad1 - 0.81% (1.34 MB)

[#012] sha256:c9d0b4d874c826ad8ea630f1a9dbd6de3a0bd35fd664e85ac4a8649c4f5b3a2d - 2.19% (3.61 MB)

[#013] sha256:e271aac23c6d2bbb2c095da934ab4dc8a79577fba042597df2b5136596da9927 - 0.0% (547 Bytes)

[#014] sha256:96db1313d71b870dc28fab1e64b7dde6b50d69adcbaeaa1957422cf60ea8de30 - 32.36% (53.3 MB)

[#015] sha256:203d255cfbfce474eaabd6e5f4a95719db3393b9efa5485c4a8ab5f6a337f9a0 - 0.0% (1.87 KB)

[#016] sha256:ad38065d22fce52951fb67207e105780942276cf1797488b299adca40a7b06e3 - 0.0% (741 Bytes)


History
2018-11-16 13:09:32 UTC

/bin/sh -c #(nop) ADD file:dbddf6cec329cf26640d0898aecbeff1c7a67bc245092317a47bfd07c1a49a2d in /

2018-11-16 13:09:33 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-11-16 14:10:08 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-11-16 14:10:09 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-11-16 14:10:45 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-11-16 14:10:46 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-11-16 14:10:47 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-11-16 14:19:30 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-11-16 14:19:30 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-11-16 14:19:31 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-11-16 14:19:31 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-11-16 14:38:41 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

2018-11-16 14:38:41 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.2.12

2018-11-16 14:38:42 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.12.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.12.tar.xz.asc/from/this/mirror

2018-11-16 14:38:42 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=989c04cc879ee71a5e1131db867f3c5102f1f7565f805e2bb8bde33f93147fe1 PHP_MD5=

2018-11-16 14:38:56 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-11-16 14:39:03 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-11-16 14:42:58 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-11-16 14:43:00 UTC

/bin/sh -c #(nop) COPY multi:2f2285f9c7c2f530675964f31be8902a60efa3a3d796ee46d73916fab59fdd38 in /usr/local/bin/

2018-11-16 14:43:02 UTC

/bin/sh -c docker-php-ext-enable sodium

2018-11-16 14:43:02 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-11-16 14:43:03 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-11-16 14:43:04 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-11-16 14:43:05 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-11-16 14:43:05 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-11-16 22:09:07 UTC

/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends rsync bzip2 busybox-static ; rm -rf /var/lib/apt/lists/*; mkdir -p /var/spool/cron/crontabs; echo '*/15 * * * * php -f /var/www/html/cron.php' > /var/spool/cron/crontabs/www-data

2018-11-22 13:21:37 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libfreetype6-dev libicu-dev libjpeg-dev libldap2-dev libmcrypt-dev libmemcached-dev libpng-dev libpq-dev libxml2-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install exif gd intl ldap opcache pcntl pdo_mysql pdo_pgsql zip ; pecl install APCu-5.1.13; pecl install memcached-3.0.4; pecl install redis-4.2.0; docker-php-ext-enable apcu memcached redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-11-22 13:21:38 UTC

/bin/sh -c { echo 'opcache.enable=1'; echo 'opcache.enable_cli=1'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=10000'; echo 'opcache.memory_consumption=128'; echo 'opcache.save_comments=1'; echo 'opcache.revalidate_freq=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini; echo 'apc.enable_cli=1' >> /usr/local/etc/php/conf.d/docker-php-ext-apcu.ini; echo 'memory_limit=512M' > /usr/local/etc/php/conf.d/memory-limit.ini; mkdir /var/www/data; chown -R www-data:root /var/www; chmod -R g=u /var/www

2018-11-22 13:21:39 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-11-22 13:32:17 UTC

/bin/sh -c #(nop) ENV NEXTCLOUD_VERSION=15.0.0beta2

2018-11-22 13:33:21 UTC

/bin/sh -c set -ex; fetchDeps=" gnupg dirmngr "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2"; curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 28806A878AE423A28372792ED75899B9A724937A; gpg --batch --verify nextcloud.tar.bz2.asc nextcloud.tar.bz2; tar -xjf nextcloud.tar.bz2 -C /usr/src/; gpgconf --kill all; rm -r "$GNUPGHOME" nextcloud.tar.bz2.asc nextcloud.tar.bz2; rm -rf /usr/src/nextcloud/updater; mkdir -p /usr/src/nextcloud/data; mkdir -p /usr/src/nextcloud/custom_apps; chmod +x /usr/src/nextcloud/occ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-11-22 13:33:23 UTC

/bin/sh -c #(nop) COPY multi:81a604c4dab97e68e347c33e116ec4b72cbaeaa1a1c71fb9375c9cc9ec06291c in /

2018-11-22 13:33:24 UTC

/bin/sh -c #(nop) COPY multi:ca4d4da57eb7f9d9da17f5414c6686894b87a363e243105b8463618fd8dc681d in /usr/src/nextcloud/config/

2018-11-22 13:33:25 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-11-22 13:33:25 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-11-22 10:39:33 UTC

Size

171 MB

Content Digest
Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

NEXTCLOUD_VERSION

15.0.0beta2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.2.12.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

989c04cc879ee71a5e1131db867f3c5102f1f7565f805e2bb8bde33f93147fe1

PHP_URL

https://secure.php.net/get/php-7.2.12.tar.xz/from/this/mirror

PHP_VERSION

7.2.12


Layers

[#000] sha256:2216f9d9ff00a3bca028dc4e59b0b7dfcebea1fa5910cc432b3d2f2f4eb2016b - 11.34% (19.4 MB)

[#001] sha256:a20f889de053fff39ae65be0f7240e88f43cd7d5cc3ce7aeaaf79e994f15ca4e - 0.0% (226 Bytes)

[#002] sha256:92a09b0831d3316f5fb61092eb43820cfbc5d91a89ef4f50802e003378a653ff - 32.13% (54.9 MB)

[#003] sha256:62db69f3c43ab4e2bc5a954f58e4576702d0a8b81162ff2dcb8b27a21ff6acaf - 0.0% (183 Bytes)

[#004] sha256:af9696a4d14cca434b1b58799e0e835a9999036dd5aec3f349033f5c55ecb36d - 6.96% (11.9 MB)

[#005] sha256:0ea04f3438ecec6f16e4a82dc80d6654a5d38e8a9e227717de71950fac5e57c1 - 0.0% (501 Bytes)

[#006] sha256:0e5a9aa8430bbf02bc9665c4e517cfdcc8c2f027e7675e08f97fbb2ec6c7c4f5 - 15.33% (26.2 MB)

[#007] sha256:1d6a228f1ea0ee29b60d4737ae1777a8a431fac897521b47aedc5c07a9268510 - 0.0% (2.14 KB)

[#008] sha256:5bf511293db3eff9ca645029c6c9cea093dfd7576ed21c951dc2054aff90ccf5 - 0.0% (260 Bytes)

[#009] sha256:9904dade3abe04f897472481481841730ce99541698b4e077beea44ee1e3c82c - 0.0% (130 Bytes)

[#010] sha256:5fa8458a8c1592085d2643b962e48df444142a9296be742011721225ed51265a - 0.0% (7.62 KB)

[#011] sha256:4882d5d98f0336954ad84c3696ed6430b7ef5861f11986bf77204f263f04bace - 0.84% (1.43 MB)

[#012] sha256:8c9d35d6d1a7cc0e0d43047c73984f75815344a1fea578cadf7048951c056f11 - 2.2% (3.76 MB)

[#013] sha256:feb1298208fd4358b89aeb722220ceb5242453257d091722bb5aae0d30f78ed7 - 0.0% (519 Bytes)

[#014] sha256:33480a5d606f318053d0ddffbb37201bfd2b13920dfceaa30881ce608b5bf246 - 31.2% (53.3 MB)

[#015] sha256:d4fc7f9b779e5a88e36996ef9cbc169935c7d832b85cc550c6517a01141b5bf7 - 0.0% (1.86 KB)

[#016] sha256:527636508c1fef30b6782b6032962859be38f3b5e8c881597967e3cbe3e318ee - 0.0% (736 Bytes)


History
2018-11-16 10:14:24 UTC

/bin/sh -c #(nop) ADD file:f12d39e66b336ca9d9a73319a35399c91c68f9023de2c1385f873a4aa804228b in /

2018-11-16 10:14:25 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-11-16 14:21:45 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-11-16 14:21:46 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-11-16 14:23:20 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-11-16 14:23:21 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-11-16 14:23:24 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-11-16 14:43:33 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-11-16 14:43:34 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-11-16 14:43:35 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-11-16 14:43:36 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-11-16 15:44:28 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

2018-11-16 15:44:29 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.2.12

2018-11-16 15:44:29 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.12.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.12.tar.xz.asc/from/this/mirror

2018-11-16 15:44:30 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=989c04cc879ee71a5e1131db867f3c5102f1f7565f805e2bb8bde33f93147fe1 PHP_MD5=

2018-11-16 15:45:03 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-11-16 15:45:04 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-11-16 15:53:31 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-11-16 15:53:32 UTC

/bin/sh -c #(nop) COPY multi:2f2285f9c7c2f530675964f31be8902a60efa3a3d796ee46d73916fab59fdd38 in /usr/local/bin/

2018-11-16 15:53:34 UTC

/bin/sh -c docker-php-ext-enable sodium

2018-11-16 15:53:34 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-11-16 15:53:35 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-11-16 15:53:36 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-11-16 15:53:37 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-11-16 15:53:38 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-11-17 11:35:16 UTC

/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends rsync bzip2 busybox-static ; rm -rf /var/lib/apt/lists/*; mkdir -p /var/spool/cron/crontabs; echo '*/15 * * * * php -f /var/www/html/cron.php' > /var/spool/cron/crontabs/www-data

2018-11-22 10:24:11 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libfreetype6-dev libicu-dev libjpeg-dev libldap2-dev libmcrypt-dev libmemcached-dev libpng-dev libpq-dev libxml2-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install exif gd intl ldap opcache pcntl pdo_mysql pdo_pgsql zip ; pecl install APCu-5.1.13; pecl install memcached-3.0.4; pecl install redis-4.2.0; docker-php-ext-enable apcu memcached redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-11-22 10:24:12 UTC

/bin/sh -c { echo 'opcache.enable=1'; echo 'opcache.enable_cli=1'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=10000'; echo 'opcache.memory_consumption=128'; echo 'opcache.save_comments=1'; echo 'opcache.revalidate_freq=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini; echo 'apc.enable_cli=1' >> /usr/local/etc/php/conf.d/docker-php-ext-apcu.ini; echo 'memory_limit=512M' > /usr/local/etc/php/conf.d/memory-limit.ini; mkdir /var/www/data; chown -R www-data:root /var/www; chmod -R g=u /var/www

2018-11-22 10:24:13 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-11-22 10:38:29 UTC

/bin/sh -c #(nop) ENV NEXTCLOUD_VERSION=15.0.0beta2

2018-11-22 10:39:29 UTC

/bin/sh -c set -ex; fetchDeps=" gnupg dirmngr "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2"; curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 28806A878AE423A28372792ED75899B9A724937A; gpg --batch --verify nextcloud.tar.bz2.asc nextcloud.tar.bz2; tar -xjf nextcloud.tar.bz2 -C /usr/src/; gpgconf --kill all; rm -r "$GNUPGHOME" nextcloud.tar.bz2.asc nextcloud.tar.bz2; rm -rf /usr/src/nextcloud/updater; mkdir -p /usr/src/nextcloud/data; mkdir -p /usr/src/nextcloud/custom_apps; chmod +x /usr/src/nextcloud/occ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-11-22 10:39:31 UTC

/bin/sh -c #(nop) COPY multi:81a604c4dab97e68e347c33e116ec4b72cbaeaa1a1c71fb9375c9cc9ec06291c in /

2018-11-22 10:39:32 UTC

/bin/sh -c #(nop) COPY multi:ca4d4da57eb7f9d9da17f5414c6686894b87a363e243105b8463618fd8dc681d in /usr/src/nextcloud/config/

2018-11-22 10:39:33 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-11-22 10:39:33 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-11-22 11:47:30 UTC

Size

179 MB

Content Digest
Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

NEXTCLOUD_VERSION

15.0.0beta2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.2.12.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

989c04cc879ee71a5e1131db867f3c5102f1f7565f805e2bb8bde33f93147fe1

PHP_URL

https://secure.php.net/get/php-7.2.12.tar.xz/from/this/mirror

PHP_VERSION

7.2.12


Layers

[#000] sha256:5f1fd7593ff8841061926e767f73d9fd35ddfcbbe3858208ebf5ff0a20a961d0 - 12.15% (21.7 MB)

[#001] sha256:525a8972b97972b561c916db0eeb988df6c690c0327eb7bbd50dabe640267c26 - 0.0% (229 Bytes)

[#002] sha256:d8d30d763795613fabe9c44f25107d390b018c907e93539edd828f6aad6894fa - 33.01% (58.9 MB)

[#003] sha256:bb5ece80e3e063a15e644cb8657370a0df63979da031a7e6f3b04cacf4fcc89f - 0.0% (212 Bytes)

[#004] sha256:bd4b01e81246214de738296b43abf849727c25a3a9c3e697d8a3e2d941fb53a1 - 6.66% (11.9 MB)

[#005] sha256:f56d635a67ccc540e7596629242cd4e1f39b1b9e3d8b19c4ffa61289bdd413d5 - 0.0% (501 Bytes)

[#006] sha256:94a345c310c21295feece23036d59afc8f2d6f11adde22b9ff6429d78d19e8af - 15.25% (27.2 MB)

[#007] sha256:0217c0079ee5b08eb1b5e95d7d0cf0312176b313109051224ea690ce61c61a57 - 0.0% (2.14 KB)

[#008] sha256:2c05bd0e6197d08d90df4d9b8a745ce2205770abb7064aa9f275299da9ffb8ac - 0.0% (258 Bytes)

[#009] sha256:c99372cd970f76f21e0cd1051058b977f7ee97173cef35bfaf32152998bfafa4 - 0.0% (161 Bytes)

[#010] sha256:d2a4f00d7a697df4dc7a99d8fe804b3da9990bf52b429ff2d2c353021f108094 - 0.0% (7.62 KB)

[#011] sha256:0851c3d5841fba714c998e11d96d45c882f89639ea4a41480d44c5b33aeb41f7 - 0.86% (1.54 MB)

[#012] sha256:b3893f2a42ef8ec901341c178b792a6c158ed19335fe4e92e9c214d2243cec7b - 2.2% (3.93 MB)

[#013] sha256:9e43c5e91314508449836b254b251934e7e19f641fdcc3e28ed9e858ee9c5b20 - 0.0% (542 Bytes)

[#014] sha256:0c59ec38c88fcb532ce2ed0196f9daa375482e42fe942964deee8f1da2470595 - 29.87% (53.3 MB)

[#015] sha256:23dd18873561e29d9d7a2e3cf77121ab984dab07c56d49c8ac331012b90c5d39 - 0.0% (1.87 KB)

[#016] sha256:26615e879224635d65e9c259c9e0860fa5c1dddd9209403c8c914e1bc4d8e52c - 0.0% (741 Bytes)


History
2018-11-16 09:32:15 UTC

/bin/sh -c #(nop) ADD file:204503423ebb04acd333e18949cb54bcaed457b7cc62e0b3ea379a6e8f2954d3 in /

2018-11-16 09:32:22 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-11-16 13:29:47 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-11-16 13:29:49 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-11-16 13:31:03 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-11-16 13:31:06 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-11-16 13:31:08 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-11-16 13:45:14 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-11-16 13:45:15 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-11-16 13:45:15 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-11-16 13:45:16 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-11-16 14:26:02 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

2018-11-16 14:26:03 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.2.12

2018-11-16 14:26:04 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.12.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.12.tar.xz.asc/from/this/mirror

2018-11-16 14:26:05 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=989c04cc879ee71a5e1131db867f3c5102f1f7565f805e2bb8bde33f93147fe1 PHP_MD5=

2018-11-16 14:26:35 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-11-16 14:26:36 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-11-16 14:30:59 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-11-16 14:31:11 UTC

/bin/sh -c #(nop) COPY multi:2f2285f9c7c2f530675964f31be8902a60efa3a3d796ee46d73916fab59fdd38 in /usr/local/bin/

2018-11-16 14:31:15 UTC

/bin/sh -c docker-php-ext-enable sodium

2018-11-16 14:31:16 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-11-16 14:31:17 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-11-16 14:31:19 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-11-16 14:31:20 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-11-16 14:31:21 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-11-17 02:38:56 UTC

/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends rsync bzip2 busybox-static ; rm -rf /var/lib/apt/lists/*; mkdir -p /var/spool/cron/crontabs; echo '*/15 * * * * php -f /var/www/html/cron.php' > /var/spool/cron/crontabs/www-data

2018-11-22 10:37:06 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libfreetype6-dev libicu-dev libjpeg-dev libldap2-dev libmcrypt-dev libmemcached-dev libpng-dev libpq-dev libxml2-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install exif gd intl ldap opcache pcntl pdo_mysql pdo_pgsql zip ; pecl install APCu-5.1.13; pecl install memcached-3.0.4; pecl install redis-4.2.0; docker-php-ext-enable apcu memcached redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-11-22 10:37:09 UTC

/bin/sh -c { echo 'opcache.enable=1'; echo 'opcache.enable_cli=1'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=10000'; echo 'opcache.memory_consumption=128'; echo 'opcache.save_comments=1'; echo 'opcache.revalidate_freq=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini; echo 'apc.enable_cli=1' >> /usr/local/etc/php/conf.d/docker-php-ext-apcu.ini; echo 'memory_limit=512M' > /usr/local/etc/php/conf.d/memory-limit.ini; mkdir /var/www/data; chown -R www-data:root /var/www; chmod -R g=u /var/www

2018-11-22 10:37:10 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-11-22 11:46:13 UTC

/bin/sh -c #(nop) ENV NEXTCLOUD_VERSION=15.0.0beta2

2018-11-22 11:47:25 UTC

/bin/sh -c set -ex; fetchDeps=" gnupg dirmngr "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2"; curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 28806A878AE423A28372792ED75899B9A724937A; gpg --batch --verify nextcloud.tar.bz2.asc nextcloud.tar.bz2; tar -xjf nextcloud.tar.bz2 -C /usr/src/; gpgconf --kill all; rm -r "$GNUPGHOME" nextcloud.tar.bz2.asc nextcloud.tar.bz2; rm -rf /usr/src/nextcloud/updater; mkdir -p /usr/src/nextcloud/data; mkdir -p /usr/src/nextcloud/custom_apps; chmod +x /usr/src/nextcloud/occ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-11-22 11:47:27 UTC

/bin/sh -c #(nop) COPY multi:81a604c4dab97e68e347c33e116ec4b72cbaeaa1a1c71fb9375c9cc9ec06291c in /

2018-11-22 11:47:28 UTC

/bin/sh -c #(nop) COPY multi:ca4d4da57eb7f9d9da17f5414c6686894b87a363e243105b8463618fd8dc681d in /usr/src/nextcloud/config/

2018-11-22 11:47:29 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-11-22 11:47:30 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete